<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'header' => '',
    'hasForm' => false,
    'modalSize' => 'modal-lg',
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'header' => '',
    'hasForm' => false,
    'modalSize' => 'modal-lg',
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>
<?php
$modalDialogClass = $attributes->get('modal-dialog-class') ?? '';
?>
<!-- Modal -->
<div data-backdrop="static" tabindex="-1" aria-labelledby="<?php echo $header; ?>" aria-hidden="true"
    <?php echo e($attributes->merge(['class' => 'modal ' . ($hasForm ? 'lw-has-form' : '')])); ?>>
    <div class="modal-dialog <?php echo e($modalSize); ?> <?php echo e($modalDialogClass); ?>">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" x-ref="modalTitle"><?php echo $header; ?></h3>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body <?php echo e($hasForm ? 'p-0' : ''); ?>">
                <?php echo e($slot); ?>

            </div>
            <?php if(!$hasForm): ?>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?= __tr('Close') ?></button>
          <?php echo e($footer ?? ''); ?>

        </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
<?php /**PATH /home/agentkoncepts/public_html/resources/views/components/lw/modal.blade.php ENDPATH**/ ?>